
package com.mkyong.ws;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.1 in JDK 6
 * Generated source version: 2.1
 * 
 */
@WebService(name = "ImageServer", targetNamespace = "http://ws.mkyong.com/")
@SOAPBinding(style = SOAPBinding.Style.RPC)
public interface ImageServer {
	
	/**
	 * 
	 * @param arg0
	 * @return
	 *     returns byte[]
	 */
	@WebMethod
	@WebResult(partName = "return")
	public byte[] downloadImage(@WebParam(name = "arg0", partName = "arg0") String arg0);
	
	/**
	 * 
	 * @param arg0
	 * @return
	 *     returns java.lang.String
	 */
	@WebMethod
	@WebResult(partName = "return")
	public String uploadImage(@WebParam(name = "arg0", partName = "arg0") byte[] arg0);
	
}
